Agents
List synthetic TLS monitors
Path Parameters
organizationId*string
Format
uuidHeader Parameters
x-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
x-organization-id*string
Must match the organizationId path segment
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/synthetic-monitors" \ -H "x-organization-role: ORG_ADMIN" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2", "name": "string", "url": "http://example.com", "enabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": 0}{ "message": "string"}